#ifndef _MRM_IVCP_PSENSOR_H
#define _MRM_IVCP_PSENSOR_H

#include "ivcp/library.h"

#ifdef __cplusplus
extern "C" {
#endif

IVCP_API mrm_err ivcp_psensor_available(char *supported);
IVCP_API mrm_err ivcp_psensor_enable(void);
IVCP_API mrm_err ivcp_psensor_disable(void);
IVCP_API mrm_err ivcp_psensor_get_status(char *status);
IVCP_API mrm_err ivcp_psensor_get_pressure(int *mbar);

#ifdef __cplusplus
}
#endif

#endif