#ifndef _MRM_IVCP_STORAGE_H
#define _MRM_IVCP_STORAGE_H

#include "ivcp/library.h"

#ifdef __cplusplus
extern "C" {
#endif

IVCP_API mrm_err ivcp_storage_get_size(int *bytes);
IVCP_API mrm_err ivcp_storage_read(unsigned int address, unsigned char *data, unsigned int size, unsigned int *readbyte);
IVCP_API mrm_err ivcp_storage_write(unsigned int address, unsigned char *data, unsigned int size, unsigned int *writebyte);
IVCP_API mrm_err ivcp_storage_read_byte(unsigned int address, unsigned char *data);
IVCP_API mrm_err ivcp_storage_write_byte(unsigned int address, unsigned char data);

#ifdef __cplusplus
}
#endif

#endif