#ifndef _MRM_IVCP_WATCHDOG_H
#define _MRM_IVCP_WATCHDOG_H

#include "ivcp/library.h"

#ifdef __cplusplus
extern "C" {
#endif

IVCP_API mrm_err ivcp_watchdog_enable(void);
IVCP_API mrm_err ivcp_watchdog_disable(void);
//IVCP_API mrm_err ivcp_watchdog_get_status(char *status);
IVCP_API mrm_err ivcp_watchdog_trigger(void);
IVCP_API mrm_err ivcp_watchdog_get_time(unsigned short *second);
IVCP_API mrm_err ivcp_watchdog_set_time(unsigned short second);
IVCP_API mrm_err ivcp_watchdog_get_current_time(unsigned short *second);

#ifdef __cplusplus
}
#endif
#endif