#ifndef _MRM_SDP_BACKLIGHT_H
#define _MRM_SDP_BACKLIGHT_H

#include "sdp/library.h"

#ifdef __cplusplus
extern "C" {
#endif

SDP_API mrm_err sdp_backlight_get_level_range (unsigned char *max, unsigned char *min);
SDP_API mrm_err sdp_backlight_set_level_range (unsigned char max, unsigned char min);
SDP_API mrm_err sdp_backlight_get_max_level_range (unsigned char *max, unsigned char *min);
SDP_API mrm_err sdp_backlight_get_level (unsigned char *level);
SDP_API mrm_err sdp_backlight_set_level (unsigned char level);
SDP_API mrm_err sdp_backlight_get_brightness (unsigned level, char *per);
SDP_API mrm_err sdp_backlight_set_brightness (unsigned level, char per);

#ifdef __cplusplus
}
#endif

#endif