#ifndef _MRM_SDP_FIRMWARE_H
#define _MRM_SDP_FIRMWARE_H

#include "sdp/library.h"

#ifdef __cplusplus
extern "C" {
#endif

#define SDP_MAXIMUM_FIRMWARE_VERSION_LENGTH 16

SDP_API mrm_err sdp_firmware_get_version(char *version);
SDP_API mrm_err sdp_firmware_load_default(void);
SDP_API mrm_err sdp_firmware_save_default(void);
SDP_API mrm_err sdp_firmware_reset(void);

#ifdef __cplusplus
}
#endif

#endif