#ifndef _MRM_VCIL_FIRMWARE_H
#define _MRM_VCIL_FIRMWARE_H

#include "vcil/library.h"

#ifdef __cplusplus
extern "C" {
#endif

#define VCIL_MAXIMUM_FIRMWARE_VERSION_LENGTH 16

VCIL_API mrm_err vcil_firmware_get_version(char *version);
VCIL_API mrm_err vcil_firmware_reset(void);
VCIL_API mrm_err vcil_firmware_save_default(void);
VCIL_API mrm_err vcil_firmware_load_default(void);

#ifdef __cplusplus
}
#endif

#endif