#ifndef _MRM_IVCP_BATTERY_H
#define _MRM_IVCP_BATTERY_H

#include "ivcp/library.h"

#ifdef __cplusplus
extern "C" {
#endif

IVCP_API mrm_err ivcp_battery_get_status(char *status);
IVCP_API mrm_err ivcp_battery_get_start_charge_threshold(float *voltage);
IVCP_API mrm_err ivcp_battery_set_start_charge_threshold(float voltage);
IVCP_API mrm_err ivcp_battery_get_state_of_charge(int *percentage);
IVCP_API mrm_err ivcp_battery_get_time_to_empty(int *minute);
IVCP_API mrm_err ivcp_battery_get_temperature(float *temperature);
IVCP_API mrm_err ivcp_battery_get_voltage(int *mV);
IVCP_API mrm_err ivcp_battery_get_average_current(int *mA);

#ifdef __cplusplus
}
#endif
#endif