#ifndef _IVCP_SAMPLE_CODE_COMMON_H
#define _IVCP_SAMPLE_CODE_COMMON_H

#include <stdlib.h>

extern char library_version[];

void firmware_main();
void watchdog_main();
void peripheral_main();
void dio_main();
void alarm_main();
void storage_main();
void psensor_main();
void gsensor_main();
void power_management_main();
void sensor_main();

#define WAIT_ENTER() while( getchar()!='\n') {};

#if defined(WIN32) && !defined(WINCE) || defined(_WIN64)
	#define CLEAR_SCREEN() system("cls");
	#define SCANF(format, pvalue) scanf_s(format, pvalue)
#else
	#define CLEAR_SCREEN() system("clear");
	#define SCANF(format, pvalue) scanf(format, pvalue)
#endif

#endif
